/*********************************************************************
 * iRogue - Rogue adapted for the PalmPilot.                         *
 * Copyright (C) 1999 Bridget Spitznagel                             *
 * Note: This program is derived from rogue 5.3-clone for Linux.     *
 *                                                                   *
 * This program is free software; you can redistribute it and/or     *
 * modify it under the terms of the GNU General Public License       *
 * as published by the Free Software Foundation; either version 2    *
 * of the License, or (at your option) any later version.            *
 *                                                                   *
 * This program is distributed in the hope that it will be useful,   *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     *
 * GNU General Public License for more details.                      *
 *                                                                   *
 * You should have received a copy of the GNU General Public License *
 * along with this program; if not, write to                         *
 * The Free Software Foundation, Inc.,                               *
 * 59 Temple Place - Suite 330,                                      *
 * Boston, MA  02111-1307, USA.                                      *
 *********************************************************************/
#ifndef __ROGUEPROTO_H__
#define __ROGUEPROTO_H__
#include "Lib/librogue.h"



/* main.c */
void start_rogue();
void init_game();
void make_new_level();
void free_old_level();

/* level.c */
void make_level();
/* void clear_level(); */
/* void put_player(Short nr); */
Boolean drop_check();
Boolean check_up();
/* void add_exp(Int e, Boolean promotion); */
Short hp_raise();
/*   void show_average_hp() -- I'll deal later.*/

/* random.c */
void seed_random();
Int get_rand(Int x, Int y);
Boolean rand_percent(Int percentage);
Boolean coin_toss();


/* (my_) message.c */
/* void message(Char * msg, Boolean intrpt); */
/* void print_stats(UInt stat_mask, struct state_of_the_union * sotu); */
/* void check_message(); */

/* object.c */
void put_objects();
/* object * alloc_object(); */
/* void free_object(object *obj); */
/* void place_at(object * obj, Short row, Short col); */
/* Char * name_of(object *obj); */
/* object * gr_object(); */
/* object * object_at(object *pack, Short row, Short col); */
/* void get_food(object *obj, Boolean force_ration); */
/* Short get_armor_class(object *obj); */
/* void put_stairs(); */
object * pick_up(Short row, Short col, Short *status);

/* pack.c */
Boolean check_drop_item();
void drop(Short index);
void take_off();
void wear(Short index);
void wield(Short index);
/* object * add_to_pack(object *obj, object *pack, Boolean condense); */
/* void take_from_pack(object *obj, object *pack); */
/* void unwear(object *obj); */
/* void do_wear(object *obj); */
/* void do_wield(object *obj); */
/* void unwield(object *obj); */
/* Short pack_count(object *new_obj); */
// Boolean has_amulet(); // moved to level.c, sorta.
void kick_into_pack();

/* monster.c */
void put_mons();
object * gr_monster(object * monster, Short mn); /* used in zap.c, sigh */
void party_monsters(Short rn, Short n);
/* Char gr_obj_char(); */
/* void wake_up(object *monster); */
/* Char gmc_row_col(Short row, Short col); */
/* void wake_room(Short rn, Boolean entering, Short row, Short col); */
/* Boolean rogue_is_around(Short row, Short col); */
/* Boolean mon_can_go(object *monster, Short row, Short col); */
/* void move_mon_to(object *monster, Short row, Short col); */
/* Boolean rogue_can_see(Short row, Short col); */
/* Char gmc(object *monster); */
/* Boolean mon_sees(object *monster, Short row, Short col); */
/* const Char * mon_name(object *monster); */
void mv_mons();
void mv_monster(object *monster, Short row, Short col);
void wanderer();
/* void show_monsters(); */
void create_monster();
/* void aggravate(); */
void mv_aquatars();

//void killed_by(object *monster, Short other); /* was in score.c */



//void draw_magic_map(struct state_of_the_union *sotu); /* YAY! */

/* room.c */
/*  Short get_room_number(Short row, Short col);  */
/* Short party_objects(Short rn); */
/* Short gr_room(); */
/* void gr_row_col(Short *row, Short *col, UShort mask); */
/* Char get_dungeon_char(Short row, Short col); */
/* Char get_mask_char(UShort mask); */
/* void light_up_room(Short rn, struct state_of_the_union *sotu); */
/* void light_passage(Short row, Short col, struct state_of_the_union *sotu);*/
/* void dr_course(object *monster, Boolean entering, Short row, Short col); */
/* Boolean is_all_connected(); */
/* void visit_rooms(Short rn); */
/* void darken_room(Short rn, struct state_of_the_union *sotu); */

/* my_curses.c */
void mvaddch(Short row, Short col, Short ch);
void refresh();
Short mvinch(Short row, Short col);
void standout();
void standend();

/* my_machdep.c */
/* Char * md_malloc(Int n); */

/* my_object.c - for initializing id_foo arrays */
void alloc_id_arrays();
void alloc_and_init_sotu();
void init_sotu();/* really in Globals.c */
void clear_identifications();

/* ring.c */
/* void gr_ring(object *ring, Boolean assign_wk); */

/* trap.c */
/* void add_traps(); */
void trap_player(Short row, Short col);
void search(Short n, Boolean is_auto);

/* move.c */
/*
Boolean can_move(Short row1, Short col1, Short row2, Short col2);
Boolean is_passable(Short row, Short col);
*/
Short one_move_rogue(Short dirch, Boolean pickup);
void multiple_move_rogue_Shift(Short dirch);
void multiple_move_rogue_Ctrl(Short dirch, Boolean go_speed_racer);
Boolean reg_move();
void rest(Short count);

/* throw.c */
/* void rand_around(Short i, Short *r, Short *c); */
Boolean throw(Short dir, Short index, struct state_of_the_union * sotu);

/* spec_hit.c */
void special_hit(object * monster);
void rust(object *monster);
/* void cough_up(object *monster); */
Boolean seek_gold(object *monster);
/* void check_gold_seeker(object *monster); */
/* Boolean check_imitator(object *monster); */
/* Boolean imitating(Short row, Short col); */
Boolean m_confuse(object *monster);
Boolean breath_attack(object *monster);

/* hit.c */
void check_hit_message(); /* XXX */
void mon_hit(object * monster, Char * other, Short breath);
void rogue_hit(object *monster, Boolean force_hit);
void check_shrieker(object *monster);
Boolean mon_damage(object *monster, Short damage);
void fight(Short dir, Boolean to_the_death);

/* inventory.c */
void init_inventory_view(FormPtr frm, Boolean inv_not_msgs,
			 struct state_of_the_union *sotu);
void init_inventory_select(FormPtr frm, Short task,
			   struct state_of_the_union *sotu);
void free_inventory_select(FormPtr frm);
void mix_colors();
void make_scroll_titles();
/* void get_desc(object *obj, Char *desc); */
void get_wand_and_ring_materials();
/* struct id * get_id_table(object *obj); */
//void init_direction_select_list(FormPtr frm, Boolean zap);

/* use.c */
/* void vanish(object *obj, Short rm, object *pack); */
/* void quaff(Short index, struct state_of_the_union *sotu); */
Boolean read_scroll(Short index, struct state_of_the_union *sotu,
		    Boolean * identify);
void idntfy(Short index, struct state_of_the_union *sotu);
void take_a_nap();

/* zap.c */
Boolean zapp(Short dir, Short index, struct state_of_the_union * sotu);;;;
void zap_monster(object *monster, UShort kind);

object * get_thrown_at_monster(object *obj, Short dir, Short *row, Short *col,
			       struct state_of_the_union *sotu);

/*** chuvmey.c ***/

void calculate_warning(struct state_of_the_union *sotu);
void update_field_scrollers(FormPtr frm, FieldPtr fld,
			    Word up_scroller, Word down_scroller);
void page_scroll_field(FormPtr frm, FieldPtr fld, DirectionType dir);
void show_dungeon(struct state_of_the_union * sotu);
void save_character(struct state_of_the_union * sotu);
void load_character(struct state_of_the_union * sotu);
void killed_by(object *monster, Short other, 
	       struct state_of_the_union * sotu); /* was in score.c */
void init_topten_view(FormPtr frm);
void create_top_ten_record();
 /* call when you're dead */
void win(struct state_of_the_union *sotu);
void id_trap(Short dir, struct state_of_the_union *sotu);
void do_feep(Long frq, UInt dur);
void specialize_labels(FormPtr frm, Short index,
		       struct state_of_the_union *sotu);
Short do_what_i_mean(Short index, Short button,
		     struct state_of_the_union *sotu);
void toggle_ring_buttons(FormPtr frm, Boolean hide,
			 struct state_of_the_union *sotu);
Short get_ring_finger(FormPtr frm, struct state_of_the_union *sotu);


#endif
